@import '../../sass/variables.scss';
@import '../../sass/general.scss';

.Score {
    background-color: white;
    border-radius: 15px; 
    box-shadow: 0 0 30px rgba($magic-mint, .7);
    width: 50vw;
    min-width: 300px;
    min-height: 300px;
    padding: 30px;
    box-sizing: border-box;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    text-align: center; 
    .questionsBox{
        box-sizing: border-box;
        width: 100%;
        height: 300px;
        padding: 5px 20px;
        margin-bottom: 20px;
        border: 1px solid black;
        overflow-y: scroll;
        text-align: left;
        .questions{
            font-size: .9rem;
            padding-left: 25px;
            li{
                margin: 5px 0;
                &.correct{
                    strong{
                        color: green;
                    }
                }
                &.incorrect{
                    strong{
                        color: red; 
                    }
                }
            }
            .answers {
                padding-left: 20px;
                margin: 3px 0 20px;
                li {
                    margin: 2px 0;

                    &.selected {
                        color: red;
                        text-decoration: underline;
                        font-style: italic;
                    }

                    &.answer {
                        color: green;
                        font-weight: bold;
                    }
                }
            }
        }
    }
}